## ocaml-config-file 1.0

=== Makefile ===
#################################################################################
#                Config_file                                                    #
#                                                                               #
#    Copyright (C) 2011 Institut National de Recherche en Informatique          #
#    et en Automatique. All rights reserved.                                    #
#                                                                               #
#    This program is free software; you can redistribute it and/or modify       #
#    it under the terms of the GNU Library General Public License as            #
#    published by the Free Software Foundation; either version 2 of the         #
#    License, or any later version.                                             #
#                                                                               #
#    This program is distributed in the hope that it will be useful,            #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of             #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              #
#    GNU Library General Public License for more details.                       #
#                                                                               #
#    You should have received a copy of the GNU Library General Public          #
#    License along with this program; if not, write to the Free Software        #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA                   #
#    02111-1307  USA                                                            #
#                                                                               #
#    Contact: Maxence.Guesdon@inria.fr                                          #
#                                                                               #
#                                                                               #
#################################################################################

# $Id: Makefile 111 2005-10-21 08:46:14Z zoggy $

include master.Makefile

# Compilation
#############

byte: lib
opt: libopt
all: byte opt
lib: config_file.cmi config_file.cmo
libopt: config_file.cmi config_file.cmx

re : depend clean all

parser: config_file_parser.ml4
	camlp4 pa_o.cmo pa_op.cmo pr_o.cmo -- -o config_file_parser.ml -impl config_file_parser.ml4

example: byte
	ocaml config_file.cmo example.ml
test: byte
	ocaml config_file.cmo test.ml

# Documentation :
#################
doc: dummy
	$(MKDIR) ocamldoc
	$(OCAMLDOC) -html -d ocamldoc -colorize-code \
	-t "The Config_file library" \
	config_file.mli config_file.ml

# myself :
##########

master.Makefile: master.Makefile.in config.status
	./config.status

config.status: configure
	./config.status --recheck

configure: configure.in
	autoconf
# backup, clean and depend :
############################

distclean: clean
	$(RM) config.cache config.log config.status master.Makefile
	$(RM) doc autom4te.cache configure.lineno

clean:: dummy
	$(RM) *~ \#*\# *.cm* *.o *.a *.annot

dummy:

###########
# Headers
###########
headers: dummy
	headache -h header -c .headache_config configure.in configure \
	master.Makefile.in Makefile \
	*.ml *.mli *.ml4

noheaders: dummy
	headache -r -c .headache_config configure.in configure \
	master.Makefile.in Makefile \
	*.ml *.mli *.ml4



#################
# installation
#################

install: dummy
	$(MKDIR) $(INSTALLDIR)
	$(CP) config_file.cmi config_file.cmo $(INSTALLDIR)
	if test -f config_file.cmx; then $(MAKE) installopt; fi

installopt: dummy
	$(MKDIR) $(INSTALLDIR)
	$(CP) config_file.cmi config_file.cmx config_file.o $(INSTALLDIR)

# Web site install
###################
REMOTE_DEST=zoggy@config-file.forge.ocamlcore.org:/home/groups/config-file/htdocs/
installsite: all doc
	scp -r web/index.html web/style.css $(REMOTE_DEST)

installsitedoc: installsite
	scp -r ocamldoc $(REMOTE_DESC)

# distribution
###############
archive: dummy
	git archive --prefix=config-file-$(VERSION)/ HEAD | gzip > /tmp/config-file-$(VERSION).tar.gz



###########################
# additional dependencies
###########################

# DO NOT DELETE

=== debian/changelog ===
ocaml-config-file (1.0-1) unstable; urgency=low

  * Initial release (Closes: #635170)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 13:30:06 +0200

=== debian/control ===
Source: ocaml-config-file
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-ocaml (>= 0.9),
 camlp4,
 ocaml-nox
Standards-Version: 3.9.2
Section: ocaml
Homepage: http://config-file.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-config-file.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-config-file.git

Package: libconfig-file-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: OCaml library for managing configuration files (dev files)
 Config_file is an OCaml library used to manage the configuration
 file(s) of an application. You simply define your options and it
 performs the loading and saving of the options. Each option is
 defined from an option class (for example an "int" option) or from a
 combination of classes (for example to create "list of int" options).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_TARGET=all
else
  BUILD_TARGET=byte
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(BUILD_TARGET)
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install INSTALLDIR=$(CURDIR)/debian/libconfig-file-ocaml-dev$(OCAML_STDLIB_DIR)/config-file
	mkdir -p $(CURDIR)/debian/libconfig-file-ocaml-dev/usr/share/doc/libconfig-file-ocaml-dev/html
	mv ocamldoc $(CURDIR)/debian/libconfig-file-ocaml-dev/usr/share/doc/libconfig-file-ocaml-dev/html/api

.PHONY: override_dh_auto_test
override_dh_auto_test:
# Upstream test target is buggy, ignore it

## ocaml-config-file 1.1

=== Makefile ===
--- 
+++ 
@@ -31,27 +31,27 @@
 # Compilation
 #############
 
+all: byte opt
 byte: lib
 opt: libopt
-all: byte opt
 lib: config_file.cmi config_file.cmo
 libopt: config_file.cmi config_file.cmx
 
 re : depend clean all
 
 parser: config_file_parser.ml4
-	camlp4 pa_o.cmo pa_op.cmo pr_o.cmo -- -o config_file_parser.ml -impl config_file_parser.ml4
+	$(CAMLP4) pa_o.cmo pa_op.cmo pr_o.cmo -- -o config_file_parser.ml -impl config_file_parser.ml4
 
-example: byte
-	ocaml config_file.cmo example.ml
-test: byte
-	ocaml config_file.cmo test.ml
+example: byte example.ml
+	$(OCAMLFIND) ocamlc -o $@ config_file.cmo example.ml
+test: byte test.ml
+	$(OCAMLFIND) ocamlc -o $@ ocaml config_file.cmo test.ml
 
 # Documentation :
 #################
 doc: dummy
 	$(MKDIR) ocamldoc
-	$(OCAMLDOC) -html -d ocamldoc -colorize-code \
+	$(OCAMLFIND) ocamldoc -html -d ocamldoc -colorize-code \
 	-t "The Config_file library" \
 	config_file.mli config_file.ml
 
@@ -98,13 +98,12 @@
 #################
 
 install: dummy
-	$(MKDIR) $(INSTALLDIR)
-	$(CP) config_file.cmi config_file.cmo $(INSTALLDIR)
-	if test -f config_file.cmx; then $(MAKE) installopt; fi
+	@$(OCAMLFIND) install config-file META \
+	  config_file.mli config_file.cmi config_file.cmo \
+	  `if test -f config_file.cmx; then echo config_file.cmx config_file.o; fi `
 
-installopt: dummy
-	$(MKDIR) $(INSTALLDIR)
-	$(CP) config_file.cmi config_file.cmx config_file.o $(INSTALLDIR)
+uninstall: dummy
+	$(OCAMLFIND) remove config-file
 
 # Web site install
 ###################

=== debian/changelog ===
ocaml-config-file (1.1-1) unstable; urgency=low

  * New upstream release
  * Use format 1.0 in debian/copyright
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Jun 2012 15:11:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9),
+ ocaml-findlib,
  camlp4,
  ocaml-nox
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: ocaml
 Homepage: http://config-file.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-config-file.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR=debian/libconfig-file-ocaml-dev/$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
  BUILD_TARGET=all
else
  BUILD_TARGET=byte
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) $(BUILD_TARGET)
	mkdir -p ocamldoc
	$(MAKE) doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install
	mkdir -p $(CURDIR)/debian/libconfig-file-ocaml-dev/usr/share/doc/libconfig-file-ocaml-dev/html
	mv ocamldoc $(CURDIR)/debian/libconfig-file-ocaml-dev/usr/share/doc/libconfig-file-ocaml-dev/html/api

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	rm -rf ocamldoc

## ocaml-config-file 1.2

=== Makefile ===
--- 
+++ 
@@ -35,9 +35,12 @@
 byte: lib
 opt: libopt
 lib: config_file.cmi config_file.cmo
-libopt: config_file.cmi config_file.cmx
+libopt: config_file.cmi config_file.cmx config_file.cmxs
 
 re : depend clean all
+
+config_file.cmxs: config_file.cmx
+	$(OCAMLFIND) ocamlopt -o $@ -shared $<
 
 parser: config_file_parser.ml4
 	$(CAMLP4) pa_o.cmo pa_op.cmo pr_o.cmo -- -o config_file_parser.ml -impl config_file_parser.ml4
@@ -100,7 +103,8 @@
 install: dummy
 	@$(OCAMLFIND) install config-file META \
 	  config_file.mli config_file.cmi config_file.cmo \
-	  `if test -f config_file.cmx; then echo config_file.cmx config_file.o; fi `
+	  `if test -f config_file.cmx; then echo config_file.cmx config_file.o; fi ` \
+	  `if test -f config_file.cmxs; then echo config_file.cmxs; fi `
 
 uninstall: dummy
 	$(OCAMLFIND) remove config-file

=== debian/changelog ===
ocaml-config-file (1.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 Aug 2014 16:19:44 +0200

ocaml-config-file (1.1-4) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:21:57 +0100

ocaml-config-file (1.1-3) experimental; urgency=low

  * Override dh_auto_test (no tests)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Nov 2013 19:04:52 +0100

ocaml-config-file (1.1-2) experimental; urgency=low

  * Compile with OCaml >= 4
  * Update Vcs-*
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 08:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
- ocaml-findlib,
+ ocaml-findlib (>= 1.4),
  camlp4,
- ocaml-nox
-Standards-Version: 3.9.3
+ ocaml-nox (>= 4)
+Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://config-file.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-config-file.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-config-file.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-config-file.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-config-file.git
 
 Package: libconfig-file-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=215 .*/config-file-(.*)\.tar\.gz
# Upstream (git) repository:
#   http://forge.ocamlcore.org/anonscm/git/config-file/config-file.git
#   http://forge.ocamlcore.org/scm/browser.php?group_id=215

## ocaml-config-file 1.2.1

=== debian/changelog ===
ocaml-config-file (1.2.1-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:13:55 +0100

ocaml-config-file (1.2.1-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:28:23 +0200

ocaml-config-file (1.2.1-2) unstable; urgency=medium

  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 06:50:22 +0200

ocaml-config-file (1.2.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Bump debhelper compat to 13
  * Bump Standards-Version to 4.6.0
  * Update Homepage and debian/watch

  [ Debian Janitor ]
  * Use secure copyright file specification URI.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Nov 2021 13:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-ocaml (>= 0.9),
- ocaml-findlib (>= 1.4),
+ debhelper-compat (= 13),
+ dh-ocaml (>= 1.2),
+ ocaml-dune,
  camlp4,
- ocaml-nox (>= 4)
-Standards-Version: 3.9.5
+ cppo,
+ ocaml
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://config-file.forge.ocamlcore.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-config-file.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-config-file.git
+Homepage: https://github.com/MisterDA/config-file
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-config-file
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-config-file.git
 
 Package: libconfig-file-ocaml-dev
 Architecture: any

=== debian/watch ===
version=4

https://github.com/MisterDA/config-file/tags .*/release-(.*)\.tar\.gz
